require 'rubygems'
require 'rake/gempackagetask'

GEM = 'script_gem'
GEM_VERSION = '0.1.0'
AUTHOR = 'Naitik Shah'
EMAIL = 'naitik.shah@yahoo.com'
HOMEPAGE = 'http://github.com/nshah/script_gem'
SUMMARY = 'A way to vendor rubygems for Rails applications'

spec = Gem::Specification.new do |s|
  s.name         = GEM
  s.version      = GEM_VERSION
  s.platform     = Gem::Platform::RUBY
  s.has_rdoc     = true
  s.summary      = SUMMARY
  s.description  = s.summary
  s.author       = AUTHOR
  s.email        = EMAIL
  s.homepage     = HOMEPAGE

  s.bindir       = 'bin'
  s.executables  = 'script_gem'
  s.require_path = 'lib'
  s.files        = %w(LICENSE README.html Rakefile TODO) + Dir.glob('{bin,lib,specs}/**/*')
  s.extra_rdoc_files = ['README.html', 'LICENSE', 'TODO']
end

Rake::GemPackageTask.new(spec) do |pkg|
  pkg.gem_spec = spec
end

desc "Install the gem file #{GEM}-#{GEM_VERSION}.gem"
task :install => [:package] do
  sh %{gem install pkg/#{GEM}-#{GEM_VERSION}}
end
